> For the complete documentation index, see [llms.txt](https://docs.stryke.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stryke.xyz/developers/contracts/trading/mint-option.md).

# Mint Option

[Contract Git Source](https://github.com/dopex-io/dopex-v2-clamm/blob/c47ed162e778d188e077b6b1874a8b5873e15c1d/src/DopexV2OptionMarketV2.sol)

Mints an option for the given strike and expiry.

```solidity
function mintOption(OptionParams calldata _params) external nonReentrant;
```

**Parameters**

| Name      | Type           | Description            |
| --------- | -------------- | ---------------------- |
| `_params` | `OptionParams` | The option parameters. |

### OptionParams Struct

This struct defines the parameters for creating an option.

| Field            | Type           | Description                                        |
| ---------------- | -------------- | -------------------------------------------------- |
| optionTicks      | OptionTicks\[] | Array of OptionTicks structs                       |
| tickLower        | int24          | Lower tick of the option                           |
| tickUpper        | int24          | Upper tick of the option                           |
| ttl              | uint256        | Time to live for the option                        |
| isCall           | bool           | Whether the option is a call (true) or put (false) |
| maxCostAllowance | uint256        | Maximum cost allowance for the option              |

### OptionTicks Struct

This struct represents the parameters for option ticks in a Uniswap V3 pool.

| Field          | Type           | Description                |
| -------------- | -------------- | -------------------------- |
| \_handler      | IHandler       | Interface for the handler  |
| pool           | IUniswapV3Pool | Uniswap V3 pool interface  |
| hook           | address        | Address of the hook        |
| tickLower      | int24          | Lower tick of the position |
| tickUpper      | int24          | Upper tick of the position |
| liquidityToUse | uint256        | Amount of liquidity to use |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stryke.xyz/developers/contracts/trading/mint-option.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
